# Interface IFacetResponseValue

A [values]{@link IFacetRequest.values} item in a Search API facet response.

## Index

### Properties

- children
- end
- endInclusive
- isLeafValue
- label
- moreValuesAvailable
- numberOfResults
- start
- state
- value

## Properties

### Optional children

children: IFacetResponseValue[]

- Defined in rest/Facet/FacetResponse.ts :31

The children of this hierarchical facet value.

### Optional end

end: RangeType

Inherited from IRangeValue.end

- Defined in rest/RangeValue.ts :28

The value to end the range at.

Examples:

> - `500`
> - `2018-12-31T23:59:59.999Z`

### Optional endInclusive

endInclusive: boolean

Inherited from IRangeValue.endInclusive

- Defined in rest/RangeValue.ts :42

Whether to include the `end` value in the range.

### Optional isLeafValue

isLeafValue: boolean

- Defined in rest/Facet/FacetResponse.ts :36

When the hierarchical value has no children, this property is `true`.

### Optional label

label: string

Inherited from IRangeValue.label

- Defined in rest/RangeValue.ts :37

The label to associate with the range value.

Examples:

> - `0 - 500`
> - `In 2018`

### Optional moreValuesAvailable

moreValuesAvailable: boolean

- Defined in rest/Facet/FacetResponse.ts :26

Whether additional values are available for the facet.

### numberOfResults

numberOfResults: number

- Defined in rest/Facet/FacetResponse.ts :21

The number of query result items matching the facet value.

### Optional start

start: RangeType

Inherited from IRangeValue.start

- Defined in rest/RangeValue.ts :19

The value to start the range at.

Examples:

> - `0`
> - `2018-01-01T00:00:00.000Z`

### state

state: FacetValueState

- Defined in rest/Facet/FacetResponse.ts :16

The facet value state to display in the search interface.

### Optional value

value: string

- Defined in rest/Facet/FacetResponse.ts :11

The facet value name.

### Hierarchy

- IRangeValue